summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorclaude-bot <[email protected]>2026-07-13 12:40:01 +0000
committerclaude-bot <[email protected]>2026-07-13 12:40:01 +0000
commit02fe7437413eaaf7cee46e5a1862c1fc7ac0dbba (patch)
tree50a2f61b89ee66f9ff58b7b9167a8e5232e19e3c /autogen.sh
downloadopusfile-master.tar.gz
opusfile-master.zip
Import xiph/opusfile @ 4174c26e0aaab19d01afdea0a46f7f95fdc6b3e6HEADmaster
Snapshot for re3/reVC vendoring, per @lzcnt. Source: https://github.com/xiph/opusfile (4174c26e0aaab19d01afdea0a46f7f95fdc6b3e6).
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..946f76a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Run this to set up the build system: configure, makefiles, etc.
+set -e
+
+srcdir=`dirname $0`
+test -n "$srcdir" && cd "$srcdir"
+
+echo "Updating build configuration files for opusfile, please wait...."
+
+autoreconf -isf